%{!?python3_pkgversion:%global python3_pkgversion 3}

# EL7 does not have a new enough python-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python2 0
%else
%global with_python2 1
%endif

%global project notifications
%global project_name django-notifications
%global pypi_name django-notifications-hq
%global pypi_name_with_underscore django_notifications_hq

Name:           python-%{pypi_name}
Version:        1.2
Release:        1%{?dist}
Summary:        GitHub notifications alike app for Django

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/22/6f/a491a1e612ebdaff4402abbc8d3ae69bf154fdae52a2dc9308e1d304d29f/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
%if 0%{?with_python2}
BuildRequires:  python2-devel
BuildRequires:  pytest
BuildRequires:  python2-django
BuildRequires:  pytz
BuildRequires:  python2-django-model-utils
BuildRequires:  python2-django-jsonfield
%endif
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-django
BuildRequires:  python%{python3_pkgversion}-pytz
BuildRequires:  python%{python3_pkgversion}-django-model-utils
BuildRequires:  python%{python3_pkgversion}-django-jsonfield

%description
GitHub notification alike app for Django, derived from django-activity-stream.

%if 0%{?with_python2}
%package -n python2-%{pypi_name}
Requires:  python2-django
Requires:  pytz
Requires:  python2-django-model-utils
Requires:  python2-django-jsonfield
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
GitHub notification alike app for Django, derived from django-activity-stream.
%endif

%package -n python%{python3_pkgversion}-%{pypi_name}
Requires:  python%{python3_pkgversion}-django
Requires:  python%{python3_pkgversion}-pytz
Requires:  python%{python3_pkgversion}-django-model-utils
Requires:  python%{python3_pkgversion}-django-jsonfield
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
GitHub notification alike app for Django, derived from django-activity-stream.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if 0%{?with_python2}
%py2_build
%endif
%py3_build

%install
%if 0%{?with_python2}
%py2_install
%endif
%py3_install

%check
%if 0%{?with_python2}
%{__python2} setup.py test
%endif

%if 0%{?with_python2}
%files -n python2-%{pypi_name}
%doc AUTHORS.txt CHANGELOG.rst README.rst
%license LICENSE.txt
%{python2_sitelib}/%{project}
%{python2_sitelib}/%{pypi_name_with_underscore}-%{version}-py?.?.egg-info
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc AUTHORS.txt CHANGELOG.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/%{project}
%{python3_sitelib}/%{pypi_name_with_underscore}-%{version}-py?.?.egg-info

%changelog
* Mon Nov 21 2016 Sundeep Anand <suanand@redhat.com> - 1.2-1
- New release, version bump up.

* Wed Aug 10 2016 Sundeep Anand <suanand@redhat.com> - 1.1-1
- Initial RPM Package.
